VPS侦探论坛

 找回密码
 注册
搜索
查看: 773|回复: 3

lnmp 安装PHP失败

[复制链接]
发表于 2018-7-13 18:48:51 | 显示全部楼层 |阅读模式


Checking ...
Nginx: OK
MySQL: OK
Error: PHP install failed.
Sorry, Failed to install LNMP!
Please visit https://bbs.vpser.net/forum-25-1.html feedback errors and logs.
You can download /root/lnmp-install.log from your server,and upload lnmp-install.log to LNMP Forum.

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2018-7-13 20:39:05 | 显示全部楼层



/bin/sh /root/lnmp1.5/src/php-5.6.36/libtool --silent --preserve-dup-deps --mode=compile cc  -Iext/openssl/ -I/root/lnmp1.5/src/php-5.6.36/ext/openssl/ -DPHP_ATOM_INC -I/root/lnmp1.5/src/php-5.6.36/include -I/root/lnmp1.5/src/php-5.6.36/main -I/root/lnmp1.5/src/php-5.6.36 -I/root/lnmp1.5/src/php-5.6.36/ext/date/lib -I/root/lnmp1.5/src/php-5.6.36/ext/ereg/regex -I/usr/include/libxml2 -I/usr/local/freetype/include/freetype2 -I/root/lnmp1.5/src/php-5.6.36/ext/mbstring/oniguruma -I/root/lnmp1.5/src/php-5.6.36/ext/mbstring/libmbfl -I/root/lnmp1.5/src/php-5.6.36/ext/mbstring/libmbfl/mbfl -I/usr/local/include -I/root/lnmp1.5/src/php-5.6.36/ext/sqlite3/libsqlite -I/root/lnmp1.5/src/php-5.6.36/ext/zip/lib -I/root/lnmp1.5/src/php-5.6.36/TSRM -I/root/lnmp1.5/src/php-5.6.36/Zend    -I/usr/local/include -g -O2 -fvisibility=hidden  -c /root/lnmp1.5/src/php-5.6.36/ext/openssl/openssl.c -o ext/openssl/openssl.lo
/root/lnmp1.5/src/php-5.6.36/ext/openssl/openssl.c:44:25: fatal error: openssl/evp.h: No such file or directory
#include <openssl/evp.h>
                         ^
compilation terminated.
make: *** [ext/openssl/openssl.lo] Error 1
/bin/sh /root/lnmp1.5/src/php-5.6.36/libtool --silent --preserve-dup-deps --mode=compile cc  -Iext/openssl/ -I/root/lnmp1.5/src/php-5.6.36/ext/openssl/ -DPHP_ATOM_INC -I/root/lnmp1.5/src/php-5.6.36/include -I/root/lnmp1.5/src/php-5.6.36/main -I/root/lnmp1.5/src/php-5.6.36 -I/root/lnmp1.5/src/php-5.6.36/ext/date/lib -I/root/lnmp1.5/src/php-5.6.36/ext/ereg/regex -I/usr/include/libxml2 -I/usr/local/freetype/include/freetype2 -I/root/lnmp1.5/src/php-5.6.36/ext/mbstring/oniguruma -I/root/lnmp1.5/src/php-5.6.36/ext/mbstring/libmbfl -I/root/lnmp1.5/src/php-5.6.36/ext/mbstring/libmbfl/mbfl -I/usr/local/include -I/root/lnmp1.5/src/php-5.6.36/ext/sqlite3/libsqlite -I/root/lnmp1.5/src/php-5.6.36/ext/zip/lib -I/root/lnmp1.5/src/php-5.6.36/TSRM -I/root/lnmp1.5/src/php-5.6.36/Zend    -I/usr/local/include -g -O2 -fvisibility=hidden  -c /root/lnmp1.5/src/php-5.6.36/ext/openssl/openssl.c -o ext/openssl/openssl.lo
/root/lnmp1.5/src/php-5.6.36/ext/openssl/openssl.c:44:25: fatal error: openssl/evp.h: No such file or directory
#include <openssl/evp.h>
                         ^
compilation terminated.
make: *** [ext/openssl/openssl.lo] Error 1

你系统上的openssl有问题
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2018-7-26 19:23:12 | 显示全部楼层

回复 2# 的帖子




你好,军哥,我也遇到同样的错误,我是先安装了pptp,后安装lnmp1.5,无论选择那个PHP版本都是错误,怎么解决?请指教。

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2018-7-27 10:17:30 | 显示全部楼层

回复 3# 的帖子




没日志没法说

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-6-17 06:00 , Processed in 0.042919 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表